<?php 
session_start();
if(!isset($_SESSION['idUsuario'])){
	header("location:../");
}
include_once '../../conexao/index.php';

$utilizador = $_GET['utilizador'];
$serie = $_GET['serie'];
$data1 = $_GET['data1'];
$data2 = $_GET['data2'];

//incluir a biblioteca
include 'biblioteca/tcpdf.php';

// Criar novo documento PDF
$pdf = new TCPDF('P', 'mm', 'A4', true, 'UTF-8');
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetTitle('Relatório de Entradas de Stock'); // Defina o título do PDF

$pdf->AddPage();

// Dados da Empresa a Faturar (exemplo)
$sql = "SELECT * FROM empresa";
$rs = mysqli_query($db, $sql);
$dados = mysqli_fetch_array($rs);
$img = $dados['img'];

// Conteúdo da fatura


// Dados da Empresa a Faturar
$pdf->SetFont('helvetica', '', 12);
$pdf->Ln(7);
// Definir a posição e o tamanho da imagem
$imageX = 160;   // Posição X da imagem
$imageY = 15;   // Posição Y da imagem
$imageWidth = 35;  // Largura da imagem
$imageHeight = 0;   // Altura da imagem (0 para manter a proporção)

// Inserir a imagem
$pdf->Image('../../img/'.$img.'', $imageX, $imageY, $imageWidth, $imageHeight);
$pdf->Cell(0, 7, $dados['nome'], 0, 1);

// // // Incluir o logotipo à direita
// $logoWidth = 30; // Largura do logotipo em milímetros
// $logoHeight = 0; // Altura do logotipo em milímetros (0 para manter a proporção)
// $logoX = $pdf->getPageWidth(100) - $pdf->getRightMargin(0) - $logoWidth; // Posição X calculada para alinhar à direita
// $logoY = $pdf->GetY(0); // Posição Y atual
// $pdf->Image('../img/iCone.png', $logoX, $logoY, $logoWidth, $logoHeight);

// // // Ajustar a posição Y para a próxima linha
// $pdf->SetY($pdf->GetY() + $pdf->getCellHeight(10));





// Restante dos dados da Empresa a Faturar
$pdf->SetFont('helvetica', '', 10);
$pdf->Cell(0, 7, $dados['endereco'], 0, 1);
$pdf->Cell(0, 7, 'Nuit: ' . $dados['nuit'], 0, 1);
$pdf->Cell(0, 7, 'Contacto: ' . $dados['contacto'], 0, 1);
$pdf->Cell(0, 7, 'E-mail: ' . $dados['email'], 0, 1);
$pdf->Cell(0, 7, $dados['pais'] .' - '. $dados['provincia'], 0, 1);

$pdf->SetFont('helvetica', 'B', 12);
$pdf->Cell(0, 10, 'Relatório de Entradas de Stock de '.$data1.'/'.$data2, 0, 1);
// Desenhar uma linha horizontal
$pdf->SetLineWidth(0.1); // Defina a largura da linha
$pdf->Line(10, $pdf->GetY(), 200, $pdf->GetY()); // Especifica as coordenadas (x1, y1, x2, y2)

// Tabela de Itens da Fatura
$pdf->SetFont('helvetica', 'B', 8);
$pdf->Ln(8);
$pdf->Cell(0, 7, 'Descrição', 'T', 0);
$pdf->SetX(120);
$pdf->Cell(0, 7, 'Quantidade Total', 'T', 0);
$pdf->SetX(170);
$pdf->Cell(0, 7, 'Valor Total', 'T', 0);
$tot = 0;
$pdf->Ln(8);
// Loop while para adicionar linhas de itens
$pdf->SetFont('helvetica', '', 8);
$sql3 = "SELECT (SELECT nomeproduto FROM produto as g WHERE g.idproduto = e.artigo) as artigos, SUM(qtd) as qtds, (SUM(qtd) *(SELECT preco FROM produto as g WHERE g.idproduto = e.artigo)) as valor  FROM `es_artigos` as e INNER JOIN entrada_stock as en ON en.id = e.es WHERE en.data BETWEEN '$data1' AND '$data2' AND en.serie = '$serie' OR en.user = '$utilizador' GROUP BY artigos";
$rs3 = mysqli_query($db, $sql3);
while ($dados3 = mysqli_fetch_array($rs3)) {
$tot = $tot + $dados3['valor'];
    $pdf->Cell(0, 7, $dados3['artigos'], 0, 0);
	$pdf->SetX(120);
	$pdf->Cell(0, 7, $dados3['qtds'], 0, 0);
	$pdf->SetX(170);
	$pdf->Cell(0, 7, number_format($dados3['valor'],2), 0, 0);
	$pdf->Ln(6);

}
$pdf->SetFont('helvetica', 'B', 10);
$pdf->Cell(0, 7, 'Total', 0, 0);
	$pdf->SetX(170);
	$pdf->Cell(0, 7, number_format($tot,2), 0, 0);
	$pdf->Ln(6);

$pdf->SetFont('helvetica', '', 8);
// Desenhar uma linha horizontal
$pdf->SetLineWidth(0.1); // Defina a largura da linha
$pdf->Line(10, $pdf->GetY(), 200, $pdf->GetY()); // Especifica as coordenadas (x1, y1, x2, y2)
$pdf->Cell(0, 7, 'Documento Processado por Computador/ iVone ERP/', 0, 1);
// Totais


// // Assinaturas
// $pdf->SetFont('helvetica', 'B', 12);
// $pdf->Cell(0, 20, 'Assinaturas', 0, 1);


// Output do PDF
$pdf->Output('Relatorio_entrada_stock.pdf', 'I');

// Fechar conexão e liberar recursos
$db->close();